<?php
require('fpdf.php');

/**
class PDF extends FPDF
{
protected $B = 0;
protected $I = 0;
protected $U = 0;
protected $HREF = '';

function WriteHTML($html)
{
    $html = iconv('UTF-8', 'windows-1252', $html);
    // HTML parser
    $html = str_replace("\n",' ',$html);
    $a = preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            // Text
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
                $this->Write(5,$e);
        }
        else
        {
            // Tag
            if($e[0]=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                // Extract attributes
                $a2 = explode(' ',$e);
                $tag = strtoupper(array_shift($a2));
                $attr = array();
                foreach($a2 as $v)
                {
                    if(preg_match('/([^=]*)=["\']?([^"\']*)/',$v,$a3))
                        $attr[strtoupper($a3[1])] = $a3[2];
                }
                $this->OpenTag($tag,$attr);
            }
        }
    }
}

function OpenTag($tag, $attr)
{
    // Opening tag
    if($tag=='B' || $tag=='I' || $tag=='U')
        $this->SetStyle($tag,true);
    if($tag=='A')
        $this->HREF = $attr['HREF'];
    if($tag=='BR')
        $this->Ln(5);
}

function CloseTag($tag)
{
    // Closing tag
    if($tag=='B' || $tag=='I' || $tag=='U')
        $this->SetStyle($tag,false);
    if($tag=='A')
        $this->HREF = '';
}

function SetStyle($tag, $enable)
{
    // Modify style and select corresponding font
    $this->$tag += ($enable ? 1 : -1);
    $style = '';
    foreach(array('B', 'I', 'U') as $s)
    {
        if($this->$s>0)
            $style .= $s;
    }
    $this->SetFont('',$style);
}

function PutLink($URL, $txt)
{
    // Put a hyperlink
    $this->SetTextColor(0,0,255);
    $this->SetStyle('U',true);
    $this->Write(5,$txt,$URL);
    $this->SetStyle('U',false);
    $this->SetTextColor(0);
}
}

**/

$pdf = new PDF();
$pdf->AddPage();

// Imprimindo QUADRADO da solicitacao
//Line(float x1, float y1, float x2, float y2)


// PRIMEIRO CARTAO
// TOPO
$pdf->Line(20,5,162,5);
// BAICO
$pdf->Line(20,120,162,120);
//ESUERDA
$pdf->Line(20,5,20,120);
// DIREITA 
$pdf->Line(162,5,162,120);


// Segundo CARTAO
// TOPO
$pdf->Line(20,125,162,125);
// BAICO
$pdf->Line(20,240,162,240);
//ESUERDA
$pdf->Line(20,125,20,240);
// DIREITA 
$pdf->Line(162,125,162,240);



$pdf->SetFont('Arial','B',12);



$pdf->Image('http://site.clicrapido.com.br/uploads/__logo_54cbbb0175a12.png',21,13,40,20,'PNG');

$html = "<b>                                             ClicRapido Telecom </b> <br>                                             ClicRapido Telecom <br>                                             CNPJ 22.408.805/0001-01 <br>                                             Rua Benjamin Constant, 679, Centro <br>                                             Fone: 55 3337 1900<br><br>";

$nro = $_GET['nro'];
$html1 = "<b>                                               Autorização de Serviço</b><br>     <b>Nro: $nro</b><br>";

$pdf->SetLeftMargin(18);
$pdf->SetFontSize(11);
$pdf->WriteHTML($html);


$pdf->SetFontSize(11);
$pdf->WriteHTML($html1);

$empresa = $_GET['empresa'];
$motorista = $_GET['motorista'];
$data = $_GET['dia'];
$veiculo = $_GET['veiculo'];
$descricao = $_GET['descricao'];

$pdf->SetFontSize(11);
$empresa = "<br><b>     Empresa:</b> <i>$empresa</i>";

$pdf->SetFontSize(11);
$empresa .= "<br><b>     Motorista:</b> $motorista";

$pdf->SetFontSize(11);
$empresa .= "<br><b>     Data:</b> $data";

$pdf->SetFontSize(11);
$empresa .= "<br><b>     Veiculo:</b> $veiculo";

$pdf->SetFontSize(11);
$empresa .= "<br><b>     KM Atual: _________________</b> ";
$empresa .= "<br><b>     Preço: ____________________</b> ";
$empresa .= "<br><b>     Descrição: $descricao</b> ";

$pdf->SetFontSize(11);
$empresa .= "<br><br><br><br><b>      ___________________      __________________     _________________</b>";
$empresa .= "<br>                 Autorizacao                        Motorista                           Controle";


//
//

// IMPRIMEINDO SEGUNDA PARTE
//
// $empresa.=$empresa DUPLICA A INFORMCAO
//
$pdf->Image('http://site.clicrapido.com.br/uploads/__logo_54cbbb0175a12.png',21,131,40,20,'PNG');
$empresa .= "<br><br><br>".$html.$html1.$empresa;


$pdf->WriteHTML($empresa);

$pdf->Output();

?>
